package com.steerinfo.inPlantNavigation.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class IPMMSVertex implements Serializable {

    @ApiModelProperty(value="主键",required=false)
    private BigDecimal vertexID;

    @ApiModelProperty(value="地址名",required=false)
    private String addressName;

    @ApiModelProperty(value="经度",required=false)
    private BigDecimal longitude;

    @ApiModelProperty(value="纬度",required=false)
    private BigDecimal latitude;

    @ApiModelProperty(value="状态",required=false)
    private Integer status;

    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;


    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;


    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;


    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;


    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

}