package com.steerinfo.inPlantNavigation.service;


import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.inPlantNavigation.model.IPMMSVertexEdge;
import com.steerinfo.inPlantNavigation.model.MapVertex;
import com.steerinfo.inPlantNavigation.model.MapVertexEdge;

import java.io.IOException;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * MapVertexEdge服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-04-28 09:07
 * 类描述
 * 修订历史：
 * 日期：2022-04-28
 * 作者：generator
 * 参考：
 * 描述：MapVertexEdge服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMapVertexEdgeService {
    //导入数据
    int importVertexEdge(String filePath) throws IOException;
    //查找所有可用的边
    List<MapVertexEdge> findAllAvailable();
    //初始化边
    Map<String, List<MapVertexEdge>> initVertexEdge();
}